var vanilla_blocks = ["portal", "end_portal", "fire", "water", "lava", "mob_spawner"];
if (vanilla_enabled) {
    for each(block in vanilla_blocks){
        // Vanilla items and blocks have special handlers.
        NEI.hide("minecraft", block);
    }
    //NEI.override("minecraft:potion", [0]);
   	NEI.override("minecraft:spawn_egg", [0]);
    NEI.hide("minecraft", "end_portal_frame");
    NEI.hide("minecraft", "lit_furnace");
    NEI.hide("minecraft", "dragon_egg");
    NEI.hide("minecraft", "command_block");
	NEI.hide("minecraft", "bedrock");




}